Name:		trackballs
Version:	1.1.4
Release:	%mkrel 15
Summary:	A Marble Madness-like game
Group:		Games/Arcade
License:	GPL
URL:		http://trackballs.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/trackballs/%{name}-%{version}.tar.bz2
Source1:	%{name}-16.png
Source2:	%{name}-32.png
Source3:	%{name}-48.png
Source4:	http://prdownloads.sourceforge.net/trackballs/SixLevels.tar.gz
Patch0:		trackballs-1.1.4-mga-fix-build.patch
Patch1:		trackballs-1.1.4-trackballs-1.1.4-guile20.patch
BuildRequires:  guile
BuildRequires:	pkgconfig(guile-2.0)
BuildRequires:	SDL_ttf-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	SDL_image-devel
BuildRequires:	mesaglu-devel
BuildRequires:	desktop-file-utils
Recommends:	trackballs-music

%description
Trackballs is a simple game similar to the
classical game Marble Madness, on the Amiga,
in the 80's. By steering a marble ball through
a labyrinth filled with vicious hammers, pools
of acid and other obstacles the player collects
points.

When the ball reaches the destination you continue
on the next, more difficult, level - unless, of
course, the time runs out.

You steer the ball using the mouse and by pressing
>spacebar< you can jump a short distance.

When all levels are finished, an editor mode permits
to create new ones ("trackballs -e").
All is explained in the docs.

%prep
%setup -q
tar -xvzf %{SOURCE4} -C share/levels
%patch0 -p3
%patch1 -p1 -b .guile2.0

%build
export LDFLAGS=-L%{_prefix}/X11R6/%{_lib}
%configure2_5x \
	--bindir=%{_gamesbindir} \
	--datadir=%{_gamesdatadir} \
	--with-highscores=%{_localstatedir}/lib/games/%{name}/highScores
%make

%install
%makeinstall_std MKINSTALLDIRS=`pwd`/mkinstalldirs iconsdir=%buildroot%_datadir/icons/hicolor

# icons
install -D -m 644 %{SOURCE1} %{buildroot}%{_miconsdir}/%{name}.png
install -D -m 644 %{SOURCE2} %{buildroot}%{_iconsdir}/%{name}.png 
install -D -m 644 %{SOURCE3} %{buildroot}%{_liconsdir}/%{name}.png 

mv %{buildroot}%{_datadir}/games/{locale,applications} %{buildroot}%{_datadir}

#fix desktop file
desktop-file-install \
	--dir %{buildroot}%{_datadir}/applications \
	--set-key=Exec --set-value=/usr/games/trackballs \
		%{buildroot}%{_datadir}/applications/*.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING FAQ INSTALL README TODO
%doc docs/*html
%attr(2755,root,games) %{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%{_mandir}/man6/%{name}.*
%{_datadir}/icons/hicolor/*/apps/*.*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%attr(664, root, games) %ghost %{_localstatedir}/lib/games/%{name}/highScores


%changelog
* Sat Feb 06 2016 umeabot <umeabot> 1.1.4-15.mga6
+ Revision: 941892
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.4-14.mga5
+ Revision: 745645
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.1.4-13.mga5
+ Revision: 730629
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.1.4-12.mga5
+ Revision: 689936
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 1.1.4-11.mga4
+ Revision: 519756
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.1.4-10.mga3
+ Revision: 384727
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 zezinho <zezinho> 1.1.4-9.mga3
+ Revision: 251862
- suggest music rpm

* Tue May 29 2012 zezinho <zezinho> 1.1.4-8.mga3
+ Revision: 249338
- fix BR
- fix desktop file

* Wed Dec 28 2011 wally <wally> 1.1.4-7.mga2
+ Revision: 188434
- fix .desktop file
- add P1 to fix build with new guile (from Fedora)
- clean .spec a bit

* Tue Oct 11 2011 zezinho <zezinho> 1.1.4-6.mga2
+ Revision: 153888
- fix build
- imported package trackballs


* Sun Aug 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.1.4-5mdv2009.0
+ Revision: 261634
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.1.4-4mdv2009.0
+ Revision: 254702
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Tue Mar 04 2008 Guillaume Bedot <littletux@mandriva.org> 1.1.4-2mdv2008.1
+ Revision: 179223
- Added new levels (SixLevels)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request
    - do not harcode man page extension

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat May 26 2007 Götz Waschk <waschk@mandriva.org> 1.1.4-1mdv2008.0
+ Revision: 31369
- new version
- fix desktop entry
- add icons
- drop patch


* Wed Mar 07 2007 Guillaume Bedot <littletux@mandriva.org> 1.1.2-2mdv2007.0
+ Revision: 134494
- fix for #28657
- Created package structure for trackballs.

